Bug 249684 - finance/ktoblzcheck: depends on python 2.x
Summary: finance/ktoblzcheck: depends on python 2.x
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jason E. Hale
URL:
Keywords:
Depends on:
Blocks: 249337
  Show dependency treegraph
 
Reported: 2020-09-24 16:27 UTC by Steve Wills
Modified: 2020-12-29 13:44 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (jhale)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2020-09-24 16:27:14 UTC
This port will be removed on 2020-12-31 if not fixed
Comment 1 commit-hook freebsd_committer 2020-12-29 13:20:00 UTC
A commit references this bug:

Author: jhale
Date: Tue Dec 29 13:19:17 UTC 2020
New revision: 559580
URL: https://svnweb.freebsd.org/changeset/ports/559580

Log:
  finance/ktoblzcheck: Update to 1.53

  - The build system has been changed to CMake.
  - Upstream has removed the bankdata updating tool. Bankdata will now be
    periodically updated by the port itself.
  - The PYTHON option has been removed. The Python bindings are now compatible
    with Python 3.x, but would be better off in a slave port. For now, they
    are disabled since nothing in the ports tree uses them. [1]

  PR:		249684 [1]
  Reported by:	swills [1]

Changes:
  head/finance/ktoblzcheck/Makefile
  head/finance/ktoblzcheck/distinfo
  head/finance/ktoblzcheck/files/patch-src_CMakeLists.txt
  head/finance/ktoblzcheck/files/patch-src_bankdata_online__update.pl.in
  head/finance/ktoblzcheck/files/pkg-deinstall.in
  head/finance/ktoblzcheck/files/pkg-message.in
  head/finance/ktoblzcheck/pkg-plist
Comment 2 Jason E. Hale freebsd_committer 2020-12-29 13:44:41 UTC
Dependency on Python 2.x has been removed.